/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_TIMECALLEE_H
#define BLINKER_TIMECALLEE_H

namespace Blinker {

/// time callee interface (i.e. called at a certain time)
class TimeCallee
{
public:
  /// constructor
  TimeCallee();

  /// destructor
  virtual ~TimeCallee();

public:
  /// callback when requested time reached
  virtual void timeCall() = 0;
}; // class TimeCallee

} // namespace Blinker

#endif // #ifndef BLINKER_TIMECALLEE_H

